Toolbox.NETMF Assembly Compatible

HI,

I try to use Toolbox.NETMF with Cerbuino bord …
I update with last firmware Sdk and GHI core…

and I have a message error assembly when debug

"Assembly: Toolbox.NETMF (0.1.0.0) needs assembly ‘mscorlib’ (4.1.2821.0)

Assembly: Toolbox.NETMF (0.1.0.0) needs assembly ‘Microsoft.SPOT.Hardware’ (4.1.2821.0)

Error: a3000000

Waiting for debug commands…"

Apparently Toolbox.NETMF need 4.1.2821.0 version and the actually version is 4.2 …

Do you know how to do ?

Thanks

Yes the dll from codeplex …
I try to add it for use WiFly module with CerbuinoBee…

You need to get the source and recompile for 4.2,

Thanks for your answer Mike
I tryed to do what you say
I recompile the .NET Micro Framework Toolbox (4.2).sln
with good Framework and good Microsoft.SPOT.Hardware and mscorlib …

I add reference to my new Toolbox.NETMF.dll

but it’s the same

Assembly: Toolbox.NETMF (0.1.0.0) needs assembly ‘mscorlib’ (4.1.2821.0)

Assembly: Toolbox.NETMF (0.1.0.0) needs assembly ‘Microsoft.SPOT.Hardware’ (4.1.2821.0)

Assembly: Toolbox.NETMF.NET (1.0.0.0) needs assembly ‘Toolbox.NETMF’ (0.1.0.0)

Error: a3000000

any ideas ?

It’s ok now
I Just have to give a new assembly build number

now program start correctly !

Thanks Mike !